Draft Mettre à niveau

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Upgrade and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Split.svg Scinder
Page suivante : Rétrograder Draft Downgrade.svg Arrow-right.svg

Draft Upgrade.svg Draft Mettre à niveau

Emplacement du menu
Modification → Mettre à niveau
Ateliers
Draft, Arch
Raccourci par défaut
U P
Introduit dans la version
-
Voir aussi
Draft Rétrograder

Description

La commande Draft Upgrade.svg Draft Mettre à niveau met à niveau les objets sélectionnés. Le résultat dépend du nombre d'objets sélectionnés et de leur type. La commande peut par exemple fusionner des éléments et créer des faces. Il vaut la peine d'essayer d'améliorer une sélection plusieurs fois pour voir si un meilleur résultat peut être obtenu. Voir l'exemple dans l'image. Notez que tous les objets ne peuvent pas être mis à jour. Cette commande est le pendant de la commande Draft Rétrograder.

Draft Upgrade example.jpg

Une polyligne ouverte non modifiable est transformée en polyligne fermée, puis en une face. Une polyligne carrée fermée non modifiable est également mise à niveau vers une face. Les deux faces sont ensuite mises à niveau pour créer un composé, qui est finalement mis à niveau vers une polyligne Draft modifiable.

Utilisation

  1. En option, sélectionnez un ou plusieurs objets.
  2. Il existe plusieurs façons de lancer la commande :
  3. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.

Remarques

Script

Voir aussi: Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Pour mettre à jour des objets, utilisez la méthode upgrade de l'atelier Draft.

upgrade_list = upgrade(objects, delete=False, force=None)
  • objects contient les objets à mettre à jour. Il s'agit soit d'un objet unique, soit d'une liste d'objets.
  • Si delete est True, les objets sources sont supprimés.
  • force force une certaine manière de mettre à niveau en appelant une fonction interne spécifique. Cela peut être : "makeCompound", "closeGroupWires", "makeSolid", "closeWire", "turnToParts", "makeFusion", "makeShell", "makeFaces", "draftify", "joinFaces", "makeSketchFace", "makeWires" ou "turnToLine".
  • upgrade_list est retourné. C'est une liste contenant deux listes : une liste de nouveaux objets et une liste d'objets à supprimer. Si delete est True, la seconde liste est vide.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

circle = Draft.make_circle(1000)
rectangle = Draft.make_rectangle(2000, 800)
doc.recompute()

add_list1, delete_list1 = Draft.upgrade([circle, rectangle], delete=False)

line1 = Draft.make_line(App.Vector(2000, 0, 0), App.Vector(2500, 1500, 0))
line2 = Draft.make_line(App.Vector(2500, 1500, 0), App.Vector(3000, -1000, 0))
doc.recompute()

add_list2, delete_list2 = Draft.upgrade([line1, line2], delete=False)

simple_wire = add_list2[0]
add_list3, delete_list3 = Draft.upgrade(simple_wire, delete=False)

closed_wire = add_list3[0]
add_list4, delete_list4 = Draft.upgrade(closed_wire, delete=False)

face = add_list4[0]
add_list5, delete_list5 = Draft.upgrade(face, delete=False)

doc.recompute()


Arrow-left.svg Page précédente : Draft Split.svg Scinder
Page suivante : Rétrograder Draft Downgrade.svg Arrow-right.svg